subroutine sigvte_ioniz(izneut,te,n,sigv)
 
  use hatom_mod
  implicit NONE
 
  !  e- impact ionization <sigma*v>(Te)
  !  via table lookup
  !  tables provided for H,He,Li
 
  integer, intent(in) :: izneut   ! Z of neutral atom (1, 2 or 3)
  integer, intent(in) :: n     ! vector size
  real*8, intent(in) :: te(n)  ! electron temperature(s)  KeV
 
  real*8, intent(out) :: sigv(n)  ! <sigma*v> value(s) returned  m**3/sec
 
  !  if Z is out of range, sigv(:)=-1.0 is returned...
  !
  !-----------------------
 
  if(hatom_flag.eq.0) call hatom_init
 
  if(izneut.eq.1) then
     call ei_sigvte_sigmatimesv(Lei_H0, te, sigv, n)
 
  else if(izneut.eq.2) then
     call ei_sigvte_sigmatimesv(Lei_HE0, te, sigv, n)
 
  else if(izneut.eq.3) then
     call ei_sigvte_sigmatimesv(Lei_LI0, te, sigv, n)
 
  else
     sigv = -1
  endif
 
end subroutine sigvte_ioniz
